CREATE EXTENSION IF NOT EXISTS "uuid-ossp";

DROP TABLE dev_users

CREATE TABLE IF NOT EXISTS dev_users (
  id UUID PRIMARY KEY DEFAULT (uuid_generate_v4()),
  first_name character varying(255) NOT NULL,
  last_name character varying(255) NOT NULL,
  email character varying(255) UNIQUE NOT NULL,
  phone_number character varying(255),
  created_at timestamp with time zone DEFAULT now(),
  updated_at timestamp with time zone DEFAULT now()
);

-- Seed Data
INSERT INTO dev_users (first_name, last_name, email, phone_number, created_at, updated_at)
VALUES
('John', 'Doe', 'john.doe@example.com', '(555) 123-4567', now(), now()),
('Jane', 'Smith', 'jane.smith@example.com', '(555) 123-4568', now(), now()),
('Bob', 'Johnson', 'bob.johnson@example.com', '(555) 123-4569', now(), now()),
('Alice', 'Brown', 'alice.brown@example.com', '(555) 123-4570', now(), now()),
('Charlie', 'Wilson', 'charlie.wilson@example.com', '(555) 123-4571', now(), now()),
('Eva', 'Davis', 'eva.davis@example.com', '(555) 123-4572', now(), now()),
('Frank', 'Miller', 'frank.miller@example.com', '(555) 123-4573', now(), now()),
('Grace', 'Taylor', 'grace.taylor@example.com', '(555) 123-4574', now(), now()),
('Henry', 'Anderson', 'henry.anderson@example.com', '(555) 123-4575', now(), now()),
('Isabella', 'King', 'isabella.king@example.com', '(555) 123-4576', now(), now());
